%global pypi_name fonttools
%global desc \
fontTools is a library for manipulating fonts, written in Python. The project \
includes the TTX tool, that can convert TrueType and OpenType fonts to and \
from an XML text format, which is also called TTX. It supports TrueType, \
OpenType, AFM and to an extent Type 1 and some Mac-specific formats.

Summary:        Tools to manipulate font files
Name:           fonttools
Version:        4.50.0
Release:    1%{?dist}

License:        MIT
URL:            https://github.com/fonttools/fonttools/
Source0:        https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

Requires:       python3-fonttools
Requires:       python3-setuptools
Provides:       ttx = %{version}-%{release}

%description
%{desc}

%package -n python3-fonttools
Summary:        Python 3 fonttools library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm

BuildRequires:  python3-Cython
BuildRequires:  gcc

Requires:       python3-brotli
Requires:       python3-lxml
Requires:       python3-scipy
Requires:       python3-fs

%bcond_with tests
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-brotli
BuildRequires:  python3-scipy
BuildRequires:  python3-fs
BuildRequires:  python3-lxml
BuildRequires:  python3-ufoLib2
BuildRequires:  python3-zopfli
%endif


%description -n python3-fonttools
%{desc}

%package -n python3-fonttools+ufo
Summary: Subpackage for python3-fonttools with extra ufo dependencies
Requires: python3-fonttools

%description -n python3-fonttools+ufo
This is the subpackage for python3-fonttools with extra ufo dependencies.

%files -n python3-fonttools+ufo
%ghost %{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info


%prep
%autosetup -p1
rm -rf *.egg-info

sed -i '1d' Lib/fontTools/mtiLib/__init__.py

sed -i 's/"lxml >=.*",/"lxml",/' setup.py
sed -i 's/lxml==.*/lxml/' requirements.txt

%build
export FONTTOOLS_WITH_CYTHON=1
%py3_build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{python3} -m pytest --ignore Tests/otlLib/optimize_test.py --ignore Tests/varLib/merger_test.py --ignore Tests/varLib/varLib_test.py --ignore Tests/svgLib/path/path_test.py
%endif

%files
%{_bindir}/pyftmerge
%{_bindir}/pyftsubset
%{_bindir}/ttx
%{_bindir}/fonttools
%{_mandir}/man1/ttx.1*

%files -n python3-fonttools
%license LICENSE
%doc NEWS.rst README.rst
%{python3_sitearch}/fontTools
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.50.0-1
- initial build
